AOMedia Codec SDK

Data Structures | Typedefs | Enumerations
aom.h File Reference
Supported Codecs » AOM

Provides controls common to both the AOM encoder and decoder. More...

`#include "aom/aom_codec.h"`
`#include "aom/aom_image.h"`
Include dependency graph for aom.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures
struct | aom_postproc_cfg
| post process flags More...
struct | av1_ref_frame
| AV1 specific reference frame data struct. More...

## Typedefs
typedef struct aom_postproc_cfg | aom_postproc_cfg_t
| post process flags More...
typedef struct av1_ref_frame | av1_ref_frame_t
| AV1 specific reference frame data struct. More...

## Enumerations
enum | aom_com_control_id { AOM_SET_POSTPROC = 3, AOM_SET_DBG_COLOR_REF_FRAME, AOM_SET_DBG_COLOR_MB_MODES = 5, AOM_SET_DBG_COLOR_B_MODES = 6, AOM_SET_DBG_DISPLAY_MV = 7, AV1_GET_REFERENCE = 128, AV1_SET_REFERENCE = 129, AV1_COPY_REFERENCE, AOM_COMMON_CTRL_ID_MAX, AV1_GET_NEW_FRAME_IMAGE = 192, AV1_COPY_NEW_FRAME_IMAGE, AOM_DECODER_CTRL_ID_START = 256 }
| Control functions. More...
enum | aom_postproc_level { AOM_NOFILTERING = 0, AOM_DEBLOCK = 1 << 0, AOM_DEMACROBLOCK = 1 << 1, AOM_ADDNOISE = 1 << 2, AOM_DEBUG_TXT_FRAME_INFO = 1 << 3, AOM_DEBUG_TXT_MBLK_MODES, AOM_DEBUG_TXT_DC_DIFF = 1 << 5, AOM_DEBUG_TXT_RATE_INFO = 1 << 6, AOM_MFQE = 1 << 10 }
| post process flags More...

## Detailed Description

Provides controls common to both the AOM encoder and decoder.